Update a Subscription

Updates an existing subscription. The start date can only be updated for subscriptions that have not yet started.

Path Params
int64
required

The subscription ID, received as the subscription_id value in an 'Add a Subscription' response.

Body Params

Subscription Request

string

Format: Variable length, up to 12,2 N
Description: The subscription billing amount. To update the amount for all upcoming billing cycles (the recur_amt), send amt_tran without date_next. To update the amount for only one billing cycle, send all of the following:

  • date_next,
  • payment_flag set to Next, and
  • amt_tran.

string

Format: Fixed length, 10, YYYY-MM-DD format
Description: The next billing date for this subscription.
Conditional Requirement: payment_flag is required when sending date_next.

string

Format: Fixed length, 10, YYYY-MM-DD format
Description: The date the subscription will start.

string

Format: Fixed length, 32 AN
Description: Update the card ID to be used for recurring charges. The card ID can be updated any time on an active subscription. Send an empty string in this field to udpate the record to charge by the customer's primary form of payment.

string

Format: Variable length, 3 to 4 A
Description: Determines whether date_next changes only the upcoming billing date or all future billing dates. Possible values:

  • Next - The date_next value only changes one future billing date (the next billing date).
  • All - The date_next value changes the next billing date, and all future billing dates are updated in line with the (new) next billing date.

Conditional Requirement: payment_flag is required when sending date_next.

string

Format: Variable length, AN
Description: A short description of the subscription.

string

Format: Fixed length, 20 N
Description: The Payment Gateway profile ID to be used when billing transactions. The new profile should use the same currency as the original.

int64

Format: Variable length, up to 16 AN
Description: Identifies the merchant to whom this request applies. Optional field, applicable only if the request is sent on behalf of another merchant.
Conditional Requirement: Required if this request is on behalf of another merchant.

Responses

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json